1. API Reference
PixVerse Platform Docs
  • Overview
    • Introduce to PixVerse Platform
    • Quick Start
    • How does the API work?
    • How to get API key?
    • PixVerse-api-llm.txt
  • Models
    • Model Overview
    • Capability matrix
    • C1
    • V6
    • Pricing
  • Guides
    • Get video generation status
    • Check account balance
    • Subscribe API plans
    • Text-to-video
    • Image-to-video
    • Video Effects
    • Image template
    • Transition(First-last frame Feature)
    • Extend
    • Modify
    • Sound effects
    • Speech(Lip sync)
    • Lip sync TTS speaker list
    • Fusion(Reference to video)
    • Restyle
    • Multi-transition
    • Swap
    • Motion Control(Mimic)
    • Webhook integration
  • API Reference
    • Rate limit
    • Video Generation
      • Text-to-Video generation
      • Image-to-Video generation
      • Template video generation
      • Transition(First-last frame) generation
      • Speech(Lipsync) generation
      • Get Speech(Lipsync) tts list
      • Fusion(reference to video) generation
      • Multi-transition video generation
      • Restyle video generation
      • Restyle effect list
      • Swap mask generation
      • Swap video generation
      • Sound effect generation
      • Extend generation
      • Get Video Generation Status
      • Motion Control (Mimic) generation
      • Modify generation
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Get user credit balance
      GET
    • Upload Video&audio
      POST
  • Troubleshooting
    • FAQ
    • Common errors and Solutions
    • Error codes
  • Resources
    • Support
    • Changelogs
    • PixVerse MCP
    • Terms of Service
    • Privacy policy
  1. API Reference

Upload Image

POST
/openapi/v2/image/upload
Uploads an image to the server.
Image requirements
1.
maximum dimensions 10000 pixels
2.
file size less than 20MB
3.
Supported formats: "png", "webp", "jpeg", "jpg" . supported mime-type "image/jpeg","image/jpg","image/png","image/webp"

Request

Header Params

Body Params multipart/form-data

Responses

🟢200OK
application/json
Success
Bodyapplication/json

🔴500Server Error
Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/image/upload' \
--header 'API-KEY: your-api-key' \
--header 'Ai-trace-id: {{$string.uuid}}' \
--form 'image=@""' \
--form 'image_url="https://media.pixverse.ai/openapi%2Ff4c512d1-0110-4360-8515-d84d788ca8d1test_image_auto.jpg"'
Response Response Example
200 - Example 1
{
    "ErrCode": 0,
    "ErrMsg": "string",
    "Resp": {
        "img_id": 0,
        "img_url": "string"
    }
}
Previous
Get Image generation
Next
Get user credit balance